/*
** Copyright (C) 3 January 2000 George Saj <gsaj@acm.org>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/


#include "config.h"

#ifndef _PSINFO_H
#define _PSINFO_H

#ifdef OS_LINUX   /* more of these will follow with additional OS support */
#define RESCAN rescan_linux
#define PSCMD "ps auxw" /* w option - because wider is better :-) */
#endif

#ifdef OS_SUNOS
#define PSCMD "ps -eaf"
#endif

#define NEWLINE "\n"
#define SPACE " "
#define LINELENGTH 80

extern gchar columntitles[NUMCOL][8];

void proc_rescan();
gint calc_columns();
#endif _PSINFO_H
















